/**
 * アカウントのドメインクラス.
 */
class Account {

    /**
     * 客.
     */
    Customer customer
    
    /**
     * 注文.
     */
    static hasMany = [orders : Order]
    
    /**
     * アカウント名.
     */
    String name

    /**
     * パスワード.
     */
    String password

    static constraints = {
    	customer(nullable:true)
    	name(unique:true)
    	password(blank:false)
    }
}
