/**
 * 出版社のドメインクラス.
 */
class Publisher implements Serializable {

    /**
     * 書籍.
     */
    static hasMany = [ books : Book ]
    
    /**
     * 会社名.
     */
    String name

    static constraints = {
    	name(blank:false)
    }
    
    String toString() {
        name
    }
}
